# $Revision: 1.4 $ $Date: 2004/11/27 19:01:24 $

%define 	module	remoteD

Summary:	Python module that simplifies multiprocess and IPC programming
Summary(pl):	Modu Pythona upraszczajcy programowanie wieloprocesowe i IPC
Name:		python-%{module}
Version:	0.8
Release:	1
License:	BSD-style
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/remoted/%{module}-%{version}.tar.gz
# Source0-md5:	50798875923c85a53872f94ead36c72f
URL:		http://remoted.neurokode.com/
BuildRequires:	python-devel >= 1:2.3
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
remoteD is a Python module that make multiprocess programming and IPC
extremely simple. Each process has access to a shared datastore
maintained by a remoteD server. remoteD servers are auto created for
you when your first process creates a share stub.

%description -l pl
remoteD jest moduem Pythona szalenie uatwiajcym programowanie
wieloprocesowe i IPC. Kady proces uzyskuje dostp do dzielonego
zasobu danych utrzymywanego przez serwer remoteD. Serwery remoteD s
tworzone automatycznie, gdy pierwszy z procesw tworzy obszar
dzielony.

%package doc
Summary:	Documentation for remoteD module
Summary(pl):	Dokumentacja do moduu remoteD
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for remoteD Python module.

%description doc -l pl
Pakiet zawierajcy dokumentacj dla moduu Pythona remoteD.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%{py_sitescriptdir}/remoteD.py[oc]

%files doc
%defattr(644,root,root,755)
%doc docs/index.html

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-remoteD.spec,v $
Revision 1.4  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.3  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.2  2004/06/04 22:04:08  jpc
- cosmetics

Revision 1.1  2004/05/28 21:40:22  zboczuch
- initial

